Home

# Library goog.dom.pattern.callback

Function Summary
| `flattenElement(?Element node, ?goog.dom.TagIterator position) ⇒ boolean` Callback function for use in {@link goog.dom.pattern.Matcher.addPattern} that removes the matched node from the tree and replaces it with its children. Should be used in conjunction with a {@link goog.dom.pattern.StartTag} pattern.
| `removeNode(?Node node, ?goog.dom.TagIterator position) ⇒ boolean` Callback function for use in {@link goog.dom.pattern.Matcher.addPattern} that removes the matched node from the tree. Should be used in conjunciton with a {@link goog.dom.pattern.StartTag} pattern.